package com.sun.org.apache.bcel.internal.util;

import com.sun.org.apache.bcel.internal.classfile.JavaClass;
import java.util.LinkedList;

public class ClassQueue
{
    private final LinkedList<JavaClass> vec;
    
    public ClassQueue() {
        this.vec = new LinkedList();
    }
    
    public void enqueue(JavaClass clazz) {
        this.vec.addLast(clazz);
    }
    
    public JavaClass dequeue() {
        return (JavaClass)this.vec.removeFirst();
    }
    
    public boolean empty() {
        return this.vec.isEmpty();
    }
    
    @Override
    public String toString() {
        return this.vec.toString();
    }
}
